> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recent vehicle events by location

> Get recent vehicle events for a location. Use /vehicle/getVehicleEvents instead.



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/vehicle/getRecentVehicleEventsByLocation
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/vehicle/getRecentVehicleEventsByLocation:
    post:
      tags:
        - Vehicle Webservice
      summary: Get recent vehicle events by location
      description: >-
        Get recent vehicle events for a location. Use /vehicle/getVehicleEvents
        instead.
      operationId: getRecentVehicleEventsByLocation
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Vehicle_GetRecentVehicleEventsByLocationWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Vehicle_GetRecentVehicleEventsByLocationWSResponse
          description: OK
      deprecated: true
components:
  schemas:
    Vehicle_GetRecentVehicleEventsByLocationWSRequest:
      type: object
      description: >-
        Request object for getting recent vehicle events by location
        (deprecated).
      properties:
        endTimeMs:
          type: integer
          format: int64
          description: End time in milliseconds for the query period
          example: 1640998800000
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        startTimeMs:
          type: integer
          format: int64
          description: Start time in milliseconds for the query period
          example: 1640995200000
          nullable: true
    Vehicle_GetRecentVehicleEventsByLocationWSResponse:
      type: object
      description: >-
        Response object containing recent vehicle events by location
        (deprecated).
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        events:
          type: array
          description: List of recent vehicle events for the location
          items:
            $ref: '#/components/schemas/VehicleEventIndexType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    VehicleEventIndexType:
      type: object
      description: List of vehicle events matching the query criteria
      properties:
        deviceUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        eventTimestamp:
          type: integer
          format: int64
          nullable: true
        imageS3Key:
          type: string
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        matchingLicensePlates:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
          uniqueItems: true
        name:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        partialLicensePlates:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
          uniqueItems: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        thumbnailS3Key:
          type: string
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        vehicleLicensePlate:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````